##############################################################################
#                            Seasonal Collections                            #
#                 Created by Yozora, Bullmoose20, & Sohjiro                  #
#          EDITING THIS FILE MAY CAUSE PULLING NEW UPDATES TO FAIL           #
#      https://metamanager.wiki/en/latest/defaults/movie/seasonal.html       #
##############################################################################

external_templates:
  pmm: templates

translations:
  pmm: translations

templates:
  holiday:
    default:
      sync_mode: sync
      sync_mode_<<key>>: <<sync_mode>>
      sort_by: title.asc
      sort_by_<<key>>: <<sort_by>>
      schedule_<<key>>: <<schedule>>
      limit_<<key>>: <<limit>>
      tmdb_collection_<<key>>: <<tmdb_collection>>
      tmdb_movie_<<key>>: <<tmdb_movie>>
      imdb_list_<<key>>: <<imdb_list>>
      trakt_list_<<key>>: <<trakt_list>>
      mdblist_list_<<key>>: <<mdblist_list>>
      summary_<<key>>: <<seasonal_summary>>
      name_<<key>>: <<seasonal_name>>
      emoji_<<key>>: <<emoji>>
    optional:
      - schedule
      - tmdb_collection
      - tmdb_movie
      - limit
      - imdb_list
      - trakt_list
      - mdblist_list
    smart_label:
      sort_by: <<sort_by_<<key>>>>
      limit: <<limit_<<key>>>>
      all:
        label: <<smart_label>>
    schedule: <<schedule_<<key>>>>
    delete_not_scheduled: true
    sync_mode: <<sync_mode_<<key>>>>
    tmdb_collection: <<tmdb_collection_<<key>>>>
    tmdb_movie: <<tmdb_movie_<<key>>>>
    imdb_list: <<imdb_list_<<key>>>>
    trakt_list: <<trakt_list_<<key>>>>
    mdblist_list: <<mdblist_list_<<key>>>>
    cache_builders: 1
    summary: <<summary_<<key>>>>
    name: <<emoji_<<key>>>><<name_<<key>>>>

collections:
  Seasonal Collections:
    template:
      - name: separator
        separator: seasonal
        use_separator: false
      - name: translation
        key_name: Seasonal
        translation_key: separator

dynamic_collections:
  Seasonal:
    type: custom
    data:
      years: New Year's Day
      valentine: Valentine's Day
      patrick: St. Patrick's Day
      easter: Easter
      mother: Mother's Day
      memorial: Memorial Day
      father: Father's Day
      independence: Independence Day
      labor: Labor Day
      halloween: Halloween
      thanksgiving: Thanksgiving
      christmas: Christmas
    title_format: <<key_name>> <<library_typeU>>s
    template:
      - holiday
      - shared
      - arr
    template_variables:
      emoji:
        years: "🎊 "
        valentine: "💘 "
        patrick: "☘ "
        easter: "🐰 "
        mother: "🤱 "
        memorial: "🪖 "
        father: "👨 "
        independence: "🎆 "
        labor: "⚒ "
        halloween: "🎃 "
        thanksgiving: "🦃 "
        christmas: "🎅 "
      schedule:
        years: range(12/26-01/04)
        valentine: range(02/01-02/29)
        patrick: range(03/01-03/18)
        easter: range(03/20-04/30)
        mother: range(05/05-05/10)
        memorial: range(5/18-6/7)
        father: range(06/15-06/20)
        independence: range(06/23-07/11)
        labor: range(09/01-09/10)
        halloween: range(10/01-10/31)
        thanksgiving: range(11/01-11/30)
        christmas: range(12/01-12/31)
      imdb_list:
        years: https://www.imdb.com/list/ls066838460/
        valentine:
          - https://www.imdb.com/list/ls000094398/
          - https://www.imdb.com/list/ls057783436/
          - https://www.imdb.com/list/ls064427905/
        patrick: https://www.imdb.com/list/ls063934595/
        easter:
          - https://www.imdb.com/list/ls062665509/
          - https://www.imdb.com/list/ls051733651/
        mother: https://www.imdb.com/list/ls072551197/
        memorial: https://www.imdb.com/list/ls002014923/
        father: https://www.imdb.com/list/ls020471057/
        independence:
          - https://www.imdb.com/list/ls068664510/
          - https://www.imdb.com/list/ls080925875/
        labor: https://www.imdb.com/list/ls002014923/
        halloween:
          - https://www.imdb.com/list/ls023118929/
          - https://www.imdb.com/list/ls000099714/
        thanksgiving:
          - https://www.imdb.com/list/ls000835734/
          - https://www.imdb.com/list/ls091597850/
        christmas: https://www.imdb.com/list/ls000096828/
      tmdb_collection:
        halloween:
          - 185103    # Hotel Transylvania
          - 11716     # Addams Family
          - 750822    # Addams Family Animated
          - 313086    # Conjuring
          - 91361     # Halloween Collection
          - 8581      # A Nightmare on Elm Street Collection
          - 1733      # The Mummy Collection
          - 8091      # Alien Collection
          - 2980      # Ghostbusters
          - 751156    # Hocus Pocus
      tmdb_movie:
        halloween:
          - 23437    # A Nightmare on Elm Street (2010)
      visible_home:
        default: true
      visible_shared:
        default: true
      image:
        default: seasonal/<<key>>
      translation_key:
        default: season

